## capsfilter capsfilter |

## Properties

GstCaps * | caps | Read / Write
GstCapsFilterCapsChangeMode | caps-change-mode | Read / Write

## Types and Values

struct | GstCapsFilter
enum | GstCapsFilterCapsChangeMode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstCapsFilter

## Description

The element does not modify data as such, but can enforce limitations on the data format.

#### Example launch line

    1
    gst-launch-1.0 videotestsrc ! capsfilter caps=video/x-raw,format=GRAY8 ! videoconvert ! autovideosink

Limits acceptable video from videotestsrc to be grayscale. Equivalent to

    1
    gst-launch-1.0 videotestsrc ! video/x-raw,format=GRAY8 ! videoconvert ! autovideosink

which is a short notation for the capsfilter element.

## Synopsis

### Element Information

plugin | coreelements
author | David Schleef <ds@schleef.org>
class | Generic

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstCapsFilter

    struct GstCapsFilter;

The opaque GstCapsFilter data structure.

### enum GstCapsFilterCapsChangeMode

Filter caps change behaviour

#### Members

GST_CAPS_FILTER_CAPS_CHANGE_MODE_IMMEDIATE | Only accept the current filter caps |
GST_CAPS_FILTER_CAPS_CHANGE_MODE_DELAYED | Temporarily accept previous filter caps |

## Property Details

### The `“caps”` property

      “caps”                     GstCaps *

Restrict the possible allowed capabilities (NULL means ANY). Setting this property takes a reference to the supplied GstCaps object.

Flags: Read / Write

### The `“caps-change-mode”` property

      “caps-change-mode”         GstCapsFilterCapsChangeMode

Filter caps change behaviour.

Flags: Read / Write

Default value: Only accept the current filter caps